nfsidmap(5)

NOM
nfsidmap - Le programme d'appel NFS de idmapper

SYNOPSIS
nfsidmap [-v] [-t attente] clé desc
nfsidmap [-v] [-c]
nfsidmap [-v] [-u|-g|-r utilisateur]

DESCRIPTION
Le fichier /usr/sbin/nfsidmap est utilisé par le idmapper NFS pour traduire UID et GID en noms, et traduire les noms d'utilisateur et de groupe en UID et GID. Idmapper utilise une clé de requête pour effectuer l'appel ascendant et cache le résultat. /usr/sbin/nfsidmap est appelé par /sbin/request-key, et effectuera la traduction puis initialisera une clé avec les informations obtenues.

nfsidmap peut aussi être utilisé pour effacer le trousseau contenant toutes les clés ou révoquer une clé particulière. C'est utilisé lorsque la mise en correspondance des identifiants a échoué à cause d'une erreur de recherche causant l'attribution de l'identifiant « nobody » à tous les identifiants d'utilisateur et de groupe en cache.

OPTIONS

-c  Effacer le trousseau contenant toutes les clés.

-g utilisateur
    Révoquer la clé identifiant de groupe (GID) de l'utilisateur donné.

-r utilisateur
    Révoquer simultanément les clés utilisateur (UID) et groupe (GID) pour l'utilisateur donné.

-t attente
    Déterminer la durée (en seconde) avant expiration de la clé. La valeur par défaut est 600 secondes (soit 10 minutes).

-u utilisateur
    Révoquer la clé identifiant utilisateur (UID) de l'utilisateur donné.

-v  Augmenter le niveau de verbosité de la sortie vers le journal système (peut être demandée plusieurs fois).

CONFIGURATION
Le fichier /etc/request-key.conf doit être modifié pour que /sbin/request-key puisse diriger correctement l'appel. La ligne suivante doit être ajouté avant un appel à keyctl :

create    id_resolver    *    *    /usr/sbin/nfsidmap -t 600 %k %d

Cela dirigera toutes les demandes id_resolver vers le programme /usr/sbin/nfsidmap. Le -t 600 définit le nombre de secondes avant l'expiration de la clé. C'est un paramètre facultatif pour /usr/sbin/nfsidmap qui est par défaut à 600 secondes quand il n'est pas indiqué.

Le système idmapper utilise quatre clés de description :

  uid : Trouve l'UID d'un utilisateur donné
  gid : Trouve le GID d'un groupe donné
  user : Trouve le nom d'utilisateur pour un UID donné
  group : Trouve le nom de groupe pour un GID donné

Vous pouvez choisir de traiter l'une ou l'autre individuellement, plutôt que d'utiliser le programme d'appel ascendant générique. Si vous souhaitez utiliser votre propre programme pour une recherche UID alors vous pouvez modifier votre request-key.conf pour qu'il ressemble à ceci:

create    id_resolver    uid:*    *    /un/autre/programme %k %d
create    id_resolver    *    *    /usr/sbin/nfsidmap %k %d

Notez que la nouvelle ligne a été ajoutée au-dessus de la ligne d'appel du programme générique. Request-key trouvera la première ligne correspondant et exécutera le programme correspondant. Dans ce cas, /some/other/program se chargera de toutes les recherches UID, et/usr/sbin/nfsidmap gérera gid, l'utilisateur et les recherches du groupe.

AUTEUR
Bryan Schumaker, <bjschuma@netapp.com>